php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #68411 "pecl install mailparse" non-deterministically fails
Submitted: 2014-11-12 20:19 UTC Modified: -
Votes:7
Avg. Score:4.4 ± 0.9
Reproduced:7 of 7 (100.0%)
Same Version:3 (42.9%)
Same OS:4 (57.1%)
From: matias at olapic dot com Assigned:
Status: Open Package: mailparse (PECL)
PHP Version: 5.5.18 OS: Ubuntu 14.04.1 LTS
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2014-11-12 20:19 UTC] matias at olapic dot com
Description:
------------
pecl install mailparse fails intermittently if re2c is not installed. I have tested this and can run the same command string several times in succession and sometimes it will fail, sometimes it will compile fine.

The failure is always on the line:

/bin/bash /tmp/pear/temp/pear-build-rootwCeJ7z/mailparse-2.1.6/libtool --mode=compile cc  -I. -I/tmp/pear/temp/mailparse -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-rootwCeJ7z/mailparse-2.1.6/include -I/tmp/pear/temp/pear-build-rootwCeJ7z/mailparse-2.1.6/main -I/tmp/pear/temp/mailparse -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib  -DHAVE_CONFIG_H  -g -O2   -c /tmp/pear/temp/mailparse/php_mailparse_mime.c -o php_mailparse_mime.lo
libtool: compile:  cc -I. -I/tmp/pear/temp/mailparse -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-rootwCeJ7z/mailparse-2.1.6/include -I/tmp/pear/temp/pear-build-rootwCeJ7z/mailparse-2.1.6/main -I/tmp/pear/temp/mailparse -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/temp/mailparse/php_mailparse_mime.c  -fPIC -DPIC -o .libs/php_mailparse_mime.o
re2c -b /tmp/pear/temp/mailparse/php_mailparse_rfc822.re > /tmp/pear/temp/mailparse/php_mailparse_rfc822.c
/bin/bash: re2c: command not found

Even when the config does indicate that:
checking for re2c... no
configure: WARNING: You will need re2c 0.13.4 or later if you want to regenerate PHP parsers.

Test script:
---------------
Start a brand-new amd64 AWS server based off Ubuntu 14.04.1 LTS public AMI.
Install build-essential, libcurl4-gnutls-dev, libpcre3-dev, php-pear, php5-dev and php5-pgsql
Run "sudo pecl uninstall mailparse; sudo rm -rf /tmp/pear; sudo pecl install mailparse;" sometimes fails, sometimes completes correctly.

Expected result:
----------------
pecl install mailparse should compile correctly every time

Actual result:
--------------
/bin/bash /tmp/pear/temp/pear-build-rootPbfCEH/mailparse-2.1.6/libtool --mode=compile cc  -I. -I/tmp/pear/temp/mailparse -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-rootPbfCEH/mailparse-2.1.6/include -I/tmp/pear/temp/pear-build-rootPbfCEH/mailparse-2.1.6/main -I/tmp/pear/temp/mailparse -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib  -DHAVE_CONFIG_H  -g -O2   -c /tmp/pear/temp/mailparse/php_mailparse_mime.c -o php_mailparse_mime.lo
libtool: compile:  cc -I. -I/tmp/pear/temp/mailparse -DPHP_ATOM_INC -I/tmp/pear/temp/pear-build-rootPbfCEH/mailparse-2.1.6/include -I/tmp/pear/temp/pear-build-rootPbfCEH/mailparse-2.1.6/main -I/tmp/pear/temp/mailparse -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/temp/mailparse/php_mailparse_mime.c  -fPIC -DPIC -o .libs/php_mailparse_mime.o
re2c -b /tmp/pear/temp/mailparse/php_mailparse_rfc822.re > /tmp/pear/temp/mailparse/php_mailparse_rfc822.c
/bin/bash: re2c: command not found

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2015-07-09 11:33 UTC] php dot net at simonrycroft dot com
I am experiencing exactly the same issue, although I am not using AWS/Ubuntu, but am using Debian/VirtualBox.
 [2015-08-04 10:42 UTC] andy dot raines at sportlobster dot com
Having the same problem.

OS: Ubuntu 14.04.2 LTS
PHP: 5.5.27
 
PHP Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Sun Nov 19 01:31:42 2017 UTC